QGIS Application - Bug report #1532
QGIS crashes when you try to search values in an empty table
2009-02-06 03:04 AM - Horst Dister

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11592
Description

Tested with shape files:
1. Set Option->General->Attribute Table behaviour->Show features in current canvas
. Load a layer and pan to an area without features
. Open the attribute table -> now row appears
. search for a string in a string column
. press search
Associated revisions

Revision de00895a - 2009-02-06 12:29 PM - Jiirgen Fischer

fix #1532

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@10117 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision ee5815bf - 2009-02-06 12:29 PM - Jurgen Fischer

fix #1532

git-svn-id: http://svn.osgeo.org/qgis/trunk@10117 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision c2e6¢354 - 2009-02-08 08:18 PM - Jiirgen Fischer

merge fixes from trunk:

r10117: fix #1532

r10116: skip labels with size<=0 - otherwise the size is ignored d
r10094: fix #1523

r10084: fix #1516

r10078: add -Wformat-security to PEDANTIC

r10073: update desktop integration in debian package
r10068: fix comparision

r9943: fix postgres <8.3 support

r9916: speed up QgsRubberBand::setToGeometry()
r9914: update trac link in about box

r9908: apply patch #1447 from smizuno (thanks!)
r9894+9895: update debian packaging
http://svn.osgeo.org/qgis/trunk/qgis@10117
http://svn.osgeo.org/qgis/trunk@10117

r9880: update german translation

git-svn-id: http://svn.osgeo.org/qgis/branches/Version-1_0@10136 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-02-06 03:31 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:ee5815bf (SVN r10118)
Please test before cheering ;)

#2 - 2009-02-06 03:39 AM - Horst Diister

Replying to [comment:1 jef]:

fixed in commit:ee5815bf (SVN r10118)

Please test before cheering ;)

Yes it works! Cheering up ;-)

#3 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted
